صناديق بريد SMTP
إنشاء صناديق بريد دفعة واحدة
ينشئ صناديق بريد دفعة واحدة دون إرجاع كلمات المرور.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
bulk
إنشاء صناديق بريد دفعة واحدة
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
الاستجابة
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
الطابع الزمني لإنشاء صندوق البريد
المجال UUID لصندوق البريد
اسم المجال لصندوق البريد
الاسم الأول لمستخدم صندوق البريد
صندوق البريد UUID
الاسم الأخير لمستخدم صندوق البريد
الجزء المحلي لصندوق البريد قبل علامة التوقيع
عنوان البريد الإلكتروني لصندوق البريد الأساسي
حالة دورة حياة صندوق البريد
الطابع الزمني لآخر تحديث لصندوق البريد
مساحة العمل UUID لصندوق البريد
اسم عرض مساحة العمل
هل كانت هذه الصفحة مفيدة؟
⌘I
إنشاء صناديق بريد دفعة واحدة
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}